首页 新闻 搜索 专区 学院

Server 2008 在功能里面 安装了 .framework 3.5.1 后,安装SQL 2008 还提示需要安装 .framework 3.5.1

0
悬赏园豆:50 [已解决问题] 解决于 2013-06-14 17:41

服务器系统(虚拟机): Server 2008 R2  64位  操作系统

window Server 2008  在功能里面 安装了 .framework 3.5.1 后,安装SQL 2008的时候 还提示需要安装  .framework 3.5 SP1 

关键是我把3.5.1 卸载后 重装 也没有用 。  

疑惑1 :是不是SQL 2008 的原因?

疑惑2 :我在控制面板-程序与功能- 里面没有找到 .framework 3.5    能不能表示没有安装成功?

 

我已经在  服务器配置-功能-添加功能-.framework 3.5.1-安装成功了.

出现的错误:

在控制面板-程序与功能- 里面没有找到 .framework 3.5 ,但是 服务器配置-功能-添加功能 里面确显示安装成功

Miracle_Yang的主页 Miracle_Yang | 初学一级 | 园豆:10
提问于:2013-06-13 11:47
< >
分享
最佳答案
0

SQL Server 2008具体是什么版本?

收获园豆:50
dudu | 高人七级 |园豆:38819 | 2013-06-13 12:09

在网上找到一个解决方法,建议试试:

Resolution turned out that:- Cryptographic services and Windows Updates service need to be running all the time when you trying installing .NET Framework.  if you do not have the Windows Live Updates service turned on, you cannot install the framework. I turned mine on and it worked right away.

dudu | 园豆:38819 (高人七级) | 2013-06-13 12:15

@dudu: 英语不好。。。而却感觉太 笼统了。。

能不能  具体的 说下步骤啊。。  谢谢了啊  很着急啊。。!!!

Miracle_Yang | 园豆:10 (初学一级) | 2013-06-13 13:01

@Miracle_Yang: 建议先通过Windows Update安装所有更新之后,再安装SQL Server 2008

dudu | 园豆:38819 (高人七级) | 2013-06-13 13:33
其他回答(3)
0

 装 3.5  sp1 啊

世界万物 | 园豆:276 (菜鸟二级) | 2013-06-13 13:19

windows server 2008   不能手动装的 .framework 3.5    系统内置的 

支持(0) 反对(0) Miracle_Yang | 园豆:10 (初学一级) | 2013-06-13 14:13
0

通过添加功能,添加3.5 ,我安装时没出现这样的问题

@@@一统@@@ | 园豆:1551 (小虾三级) | 2013-06-13 16:52

你的 SQL  是中文版的 还是 英文版的?

支持(0) 反对(0) Miracle_Yang | 园豆:10 (初学一级) | 2013-06-13 17:00
0

自己  换了 一个 SQL 版本  重新安装 可以了 

Miracle_Yang | 园豆:10 (初学一级) | 2013-06-14 17:40
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册